SEM(4) | Device Drivers Manual | SEM(4)

# NAME

`sem` —
POSIX semaphores

# SYNOPSIS

The POSIX semaphore code is included by default in all kernels.

# DESCRIPTION

The `sem` facility provides system calls used by the standard C library (libc) to implement POSIX semaphores.

# SEE ALSO

config(1), sem_destroy(3), sem_getvalue(3), sem_init(3), sem_open(3), sem_post(3), sem_wait(3), options(4)

# HISTORY

The `sem` facility appeared as a kernel option in NetBSD 2.0 and became non-optional in NetBSD 7.0.

August 20, 2015 | NetBSD 9.2